cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/configurator/profiles/{profileId}import requests
url = "https://api.staging.qyl.dev/api/v1/configurator/profiles/{profileId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/configurator/profiles/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"target_framework": "<string>",
"target_language": "<string>",
"semconv_version": "<string>",
"features_json": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"template_overrides_json": "<string>"
}{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Configurator
Get profile
Get generation profile by ID
GET
/
api
/
v1
/
configurator
/
profiles
/
{profileId}
cURL
Path Parameters
Response
The request has succeeded.
Named instrumentation profile for code generation
Profile ID
Owning project
Profile name
Target framework (e.g. net10.0)
Target language
Semantic conventions version
Enabled features/modules
Whether this is the default profile
Creation timestamp
Last update timestamp
Profile description
Template customizations
Was this page helpful?
⌘I
